const router = require("express").Router();
const { authenticateAdmin, audit } = require("../../middleware");

const AdminProfileController = require("../../controllers/admin/profileController");

// List
router.get("/me", authenticateAdmin, AdminProfileController.getAdminProfile);

router.put("/change-password", authenticateAdmin, AdminProfileController.changePassword);

router.post("/verify-password-2fa", authenticateAdmin , audit("verify.password.2fa" , "verify_password_2fa"), AdminProfileController.
verifyPassword2fa)
router.post("/resend-2fa", authenticateAdmin , audit("verify.resend.2fa" , "verify_resend_2fa"), AdminProfileController.
resend2fa)
router.post("/2fa/enable", authenticateAdmin , audit("enable.2fa" , "enable_2fa"), AdminProfileController.
enable2FA)
router.post("/2fa/disable", authenticateAdmin , audit("disable.2fa" , "disable_2fa"), AdminProfileController.
disable2FA)

// Update KYC status


module.exports = router;